locked
DEP0810 Microsoft.WinJS.1.0 and higher version in my machine...

    Question

  • Hi! I have found this message when building my App in visual studio:

    Warning 1 Warning : DEP0810 : This app references Microsoft.WinJS.1.0, version 1.0.9200.20512, found in your SDK, but you have a higher version of Microsoft.WinJS.1.0 installed on the target machine, 1.0.9200.20602. If you continue to run this application, it will run against the currently installed version, Microsoft.WinJS.1.0, version 1.0.9200.20602. Consider updating your SDK to match the version of Microsoft.WinJS.1.0 that is installed.

    But I don't know how to update the SDK, I didn't find any updates for that. Any clue?

    Thanks!


    Juan Manuel Servera
    twitter: @jmservera
    mi blog: http://jmservera.com
    Únete al grupo de WP7 en LinkedIn
    MCPD WP7 Developer - MCTS Sharepoint 2010 Application Development

    Wednesday, February 27, 2013 8:34 PM

Answers

  • Hi Roy,

    I couldn't reply to your answer, don't know why but the platform didn't allow me to do so. The link you provided points to Migration issues between RC and RTM versions, but I'm not having a problem with an old WinJS1.0RC. My question was about two releases of the current WinJS1.0 with two different build versions: 1.0.9200.20512 vs 1.0.9200.20602, I think I've found an answer here: http://www.microsoft.com/en-us/download/details.aspx?id=30687 This patch updates the build version and shows up in my Project:

    Build: 1.0.9200.20602.win8_ldr.130108-1504

    So I could remove the warning.

    It seems like my Windows platform was updated to a newer version but the SDK was not synched with my VS 2012.

    I have unmarked your reply because it doesn't answer my question.

    Thanks for your answer anyway,

    Juanma


    Juan Manuel Servera
    twitter: @jmservera
    mi blog: http://jmservera.com
    Únete al grupo de WP7 en LinkedIn
    MCPD WP7 Developer - MCTS Sharepoint 2010 Application Development


    Tuesday, March 5, 2013 10:49 AM

All replies

  • Hi Juan,

    #Migrating Windows Store apps to the latest Windows Library for JavaScript (Windows)

    http://msdn.microsoft.com/en-us/library/windows/apps/jj126963.aspx


    Roy
    MSDN Community Support | Feedback to us
    Develop and promote your apps in Windows Store
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Thursday, February 28, 2013 2:26 AM
  • Hi Roy,

    I couldn't reply to your answer, don't know why but the platform didn't allow me to do so. The link you provided points to Migration issues between RC and RTM versions, but I'm not having a problem with an old WinJS1.0RC. My question was about two releases of the current WinJS1.0 with two different build versions: 1.0.9200.20512 vs 1.0.9200.20602, I think I've found an answer here: http://www.microsoft.com/en-us/download/details.aspx?id=30687 This patch updates the build version and shows up in my Project:

    Build: 1.0.9200.20602.win8_ldr.130108-1504

    So I could remove the warning.

    It seems like my Windows platform was updated to a newer version but the SDK was not synched with my VS 2012.

    I have unmarked your reply because it doesn't answer my question.

    Thanks for your answer anyway,

    Juanma


    Juan Manuel Servera
    twitter: @jmservera
    mi blog: http://jmservera.com
    Únete al grupo de WP7 en LinkedIn
    MCPD WP7 Developer - MCTS Sharepoint 2010 Application Development


    Tuesday, March 5, 2013 10:49 AM